curl --request GET \
--url https://api.olostep.com/v1/retrieve \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/retrieve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"html_content": "<string>",
"markdown_content": "<string>",
"json_content": "<string>",
"html_hosted_url": "<string>",
"markdown_hosted_url": "<string>",
"json_hosted_url": "<string>",
"size_exceeded": true
}Inhoud Ophalen
Haal de inhoud op van verwerkte batches en crawls-URL’s.
Autorisaties
Bearer authenticatie header in de vorm Bearer , waar jouw auth token is.
Queryparameters
De ID van de pagina-inhoud die je wilt ophalen. Beschikbaar in de respons van /v1/crawls/{crawl_id}/pages, /v1/scrapes/{scrape_id} of /v1/batches/{batch_id}/items eindpunten
Optionele array om alleen specifieke formaten in productie op te halen. Als dit niet wordt opgegeven, worden alle formaten geretourneerd.
html, markdown, json Respons
Succesvolle respons met pagina-inhoud.
HTML-inhoud van de pagina, indien aangevraagd en beschikbaar.
Markdown-inhoud van de pagina, indien aangevraagd en beschikbaar.
JSON-inhoud van de pagina geretourneerd door parsers, indien aangevraagd en beschikbaar.
S3 bucket URL van html. Verloopt over 7 dagen.
S3 bucket URL van markdown. Verloopt over 7 dagen.
S3 bucket URL van json. Verloopt over 7 dagen.
Als de grootte van inhoudsobjecten de limiet van 6MB overschrijdt. Als dit waar is, gebruik dan gehoste S3 urls om inhoud te verkrijgen.
Was deze pagina nuttig?